Detailed reference of prototypes, properties and methods available in the
Javascript environment of your Helma web applications.

Fields and methods of the Global prototype.
Methods
isString(val)
Returns true if the value passed as argument is either a string literal, an instance of String or of java.lang.String.
parameters

Object | val | The value to test

returns

| True if the value is a string, false otherwise

isBoolean(val)
Returns true if the value passed as argument is either a boolean literal or an instance of Boolean.
parameters

Object | val | The value to test

returns

| True if the value is a boolean, false otherwise

isNumber(val)
Returns true if the value passed as argument is either a number, an instance of Number or of java.lang.Number.
parameters

Object | val | The value to test

returns

| True if the value is a number, false otherwise

isNull(val)
Returns true if the value passed as argument is null.
parameters

Object | val | The value to test

returns

| True if the value is null, false otherwise

isUndefined(val)
Returns true if the value passed as argument is undefined.
parameters

Object | val | The value to test

returns

| True if the value is undefined, false otherwise

isArray(val)
Returns true if the value passed as argument is an array.
parameters

Object | val | The value to test

returns

| True if the value is an array, false otherwise

isDate(val)
Returns true if the value passed as argument is either a Javascript date or an instance of java.util.Date.
parameters

Object | val | The value to test

returns

| True if the value is a date, false otherwise

isObject(val)
Returns true if the value passed as argument is either a Javascript object or an instance of java.lang.Object.
parameters

Object | val | The value to test

returns

| True if the value is an object, false otherwise

isFunction(val)
Returns true if the value passed as argument is a function.
parameters

Object | val | The value to test

returns

| True if the argument is a function, false otherwise

Tue, 25 Nov 2008 16:50:19 GMT.

### core framework

- global
- app (application)
- req (request)
- res (response)
- session
- path
- root
- HopObject
- User
- File
- FtpClient
- Image
- Mail
- Remote
- Xml
- DatabaseObject
- MimePart
- Skin
- Object

### optional modules

- Array extensions
- Date extensions
- Number extensions
- Object extensions
- String extensions
- HopObject extensions
- global macros
- macro filters
- JSON methods
- helma.Aspects
- helma.Chart
- helma.Color
- helma.Database
- helma.File
- helma.Ftp
- helma.Group
- helma.Html
- helma.Http
- helma.Image
- helma.Mail
- helma.Search
- helma.Skin
- helma.Ssh
- helma.Url
- helma.Zip
- jala.BitTorrent
- jala.Captcha
- jala.Date
- jala.db
- jala.DnsClient
- jala.Form
- jala.History
- jala HopObject extensions
- jala.HtmlDocument
- jala.I18n
- jala.ImageFilter
- jala.IndexManager
- jala.ListRenderer
- jala.Mp3
- jala.PodcastWriter
- jala.RemoteContent
- jala.Rss20Writer
- jala.Utilities
- jala.XmlRpcRequest
- jala.XmlWriter

### java libraries

- browse docjar